Need a special offer?Find out if your project fits.
+

how to download js zip version for 2.8.24? Error getReport()

Answered
Lucas Martins asked on April 3, 2024

I'm using version 2.8.20, i noticed they released an update to the getReport() method in 2.8.24

I have an error when I try to get GetReport().
but this error does not happen on initial loading, it happens when I make any change that updates the already loaded flexmonster

why?

2 answers

Public
Solomiia Andrusiv Solomiia Andrusiv Flexmonster April 4, 2024

Hello, Lucas!
 
Thank you for reaching out to us.
 
Kindly note that you can download the necessary version of Flexmonster from npm or run the npm i flexmonster@2.8.24 in your console.
 
Our team also recommends considering to upgrade to the latest 2.9.74 version of Flexmonster. We are improving our component with every minor and major release, and you can check if the mentioned behavior with getReport() is reproducible in the latest version.
There were no breaking changes from 2.8 to 2.9 major version. You are welcome to look through our migration guide for more details: https://www.flexmonster.com/doc/migration-guide-from-2-8-to-2-9/.
 
Hope it helps.
 
Kind regards,
Solomiia

Public
Solomiia Andrusiv Solomiia Andrusiv Flexmonster 4 days ago

Hello, Lucas!
Hope you are doing well.
Our team is wodering if downloading Flexmonster package from npm works well for you.
Looking forward to hearing from you.
Kind regards,
Solomiia

Please login or Register to Submit Answer